No longer receiving any security updates on 8.04 LTS

Bug #341254 reported by diel on 2009-03-11
260
Affects Status Importance Assigned to Milestone
Payson
Undecided
Unassigned
Ubuntu Netbook Remix
Undecided
Unassigned

Bug Description

I have a Toshiba NB100-11R, which had ubuntu netbook-remix installed when I purchased it.

For a while it received security updates, but no updates are offered anymore, although I'm quite sure they should have!

Here is my uname -a:
Linux tosh 2.6.24-19-lpia #1 SMP Mon Nov 3 15:25:26 UTC 2008 i686 GNU/Linux

My sources.list is attached - and this is where I think the problem may be. The repositories exist, so I can install new software, but they don't seem to be getting any updates.

(This may be related, or benign, but if I open 'software sources' from the admin menu, all repositories are 3rd party, and the normal ubuntu sources are not ticked. However, if I tick them on the first tab, apt-get update errors with a 404-not found in relation to the lpia binaries).

I am marking this as a security vulnerability, since it is security updates that are not happening. I posted a message on the Toshiba netbook forums, and I am not the only person affected.

Please let me know if more information is required.

diel (djlangton) wrote :
mariounr (mariobertalmio) wrote :

Hello, I have my Toshiba NB100-10X since January and I had only one update dated sept-Oct 2008, and after no more updates. I have exactly the same configuration in my sources.list and the same problem that diel and other people have.

Ubuntu Hardy is a LTS version, and even if UNR is not a Distribution on its own, we should have ALL the updates.

What's the point to have a computer without the minimal security updates?

So, please tell us if you're going to re-stablish the updates or not, to see if we change Distribution or not.

Please don't take my comments in the wrong way, is only that is a bit disappointing to have a fantastic Netbook with an excellent Distribution (UNR), but not having updates is not very nice.

Regards.

Mario.

Bill Filler (bfiller) wrote :

There have been multiple rounds of security updates published to the netbook-remix.archive.canonical.com since Oct 2008, so I'm not sure why you haven't seen them. Another round of updates will be published in the next few weeks that contains security and non-security updates, bug fixes and will bring UNR/Toshiba up-to-date with Hardy 8.04.2 +.

Can you open a terminal and try to manually get updates and report back your findings.

Do the following:
- open terminal
- type "sudo apt-get update" then enter
- type "sudo apt-get dist-upgrade"
If there are updates which you haven't received yet this should tell you.

Also, I need to know the exact build you are using.
- can you provide the contents of /etc/buildstamp
- and also the contents of /.swstamp.txt

Bill Filler (bfiller) wrote :

Also please note a few other things that are relevant.

The netbook-remix.archive.canonical.com is a separately maintained repository from the normal ubuntu repository. The main differences are a) it uses lpia packages, not i386 and b) contains ubuntu packages which are customized specifically for UNR and Toshiba. So adding the standard ubuntu repositories will not work (as diel reported) - although it is a bug that the netbook-remix.a.c.c repos are showing up in Third-Party Sources - this will be fixed in the next update, btw. With that said, updates to the netbook-remix archive will lag updates to standard ubuntu repositories, as customizations need to be merged and full QA cycle performed before they can be pushed. Security updates are extremely important and are tested and pushed as quickly as possible and we're working to make this process even better.

The second point is that there is now a toshiba specific repository (not shared with UNR) that newer toshiba units ship with as the default in sources.list. The update that will be pushed in the next few weeks will convert older toshiba units over to the new toshiba specific repository, so you should be expecting a quite large update.

Thanks for your support and for filing this bug :)

Changed in netbook-remix:
status: New → In Progress
Changed in payson:
status: New → In Progress
mariounr (mariobertalmio) wrote :

Hello again and thank you very much for your quick answer.

There are not any updates when I type the two update commands that you ask me to do.

The content of my /etc/buildstamp is:

fastar 29-08-2008 13:19:43 EDT

and I cannot find: /.swstamp.txt

I understand that the futures updates for Toshiba Netbooks with UNR will be done by Toshiba itself. It will very useful if you give us the "Toshiba updates Site" to contact them, just in case of any problem.

One more question: In the case that I'd like to install UNR 9.04 or 9.10 in my Toshiba would it be better to get/buy a "Toshiba's UNR ISO CD" and use their repos ? Or is better to install from an Official UNR ISO image from Canonical, tweak the Netbook to make it work and then use the Official UNR repos ?

All of this sounds a bit complicated but logical in this case.

Anyway I didn't check if the version of Ubuntu installed in the Netbook was a Distro supported by Canonical when I bought it.

Thank you very much again and I'll be waiting for the updates.

Regards.

Mario.

diel (djlangton) wrote :

Manual update via command line does not error, but does not find any updates. I didn't realise the repos would lag other ubuntu repos, maybe I'm just impatient :)

diel@tosh:~$ cat /etc/buildstamp
fastar 29-08-2008 13:19:43 EDT
diel@tosh:~$ cat /.swstamp.txt
SOFTWARE STAMP:
----------------
Thu 10/02/2008
12:20 PM
08080
H09850EU

malcolli (malcolm-collins12) wrote :

I am really confused now.
Which repositories should I be using?
http://netbook-remix.archive.canonical.com/ubuntu ---etc,
http://ppa.launchpad.net/network-manager/ubuntu,
http://ppa.launchpad.net/netbook-remix-team/ubuntu

Is there an lpia one?
Now there could be Toshiba ones. ???

My timestamps are:
cat /etc/buildstamp
fastar 29-08-2008 13:19:43 EDT

sudo cat /.swstamp.txt
SOFTWARE STAMP:
----------------
Thu 09/18/08
19:12:31
07712

Anmar Oueja (anmar) wrote :

Hello:

I think the best thing you can do is leave the sources.list file in its original shape. When the new updates come out in the next few weeks, you will get all the goodies and continue to do so. A little of patience will go a long way :-)

Thanks for filing bugs, feedback is always welcome.

Mark Fraser (launchpad-mfraz) wrote :

Would that be
deb http://netbook-remix.archive.canonical.com/ubuntu/ hardy-toshiba-arizona main universe multiverse restricted?

diel (djlangton) wrote :

Just received a bunch of updates (firefox et. al).

My original concern, that there was something wrong with my own configuration, seems to not be the case, so I think this can be closed.

ulrfuc (u-fuchs) wrote :

I also received these updates, but I have not got any further updates since april. Even firefox is not updated. I am still using version 3.0.10 instead of 3.0.14. Or is there anything wrong with my nb100?

To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers

Bug attachments